%define upstream_name    Time-Duration-Parse
%define upstream_version 0.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Parse string that represents time duration
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Time/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter::Lite)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Time::Duration)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Time::Duration::Parse is a module to parse human readable duration strings
like _2 minutes and 3 seconds_ to seconds.

It does the opposite of _duration_exact_ function in Time::Duration and is
roundtrip safe. So, the following is always true.

  use Time::Duration::Parse;
  use Time::Duration;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.130.0-2.mga6
+ Revision: 1035256
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 0.130.0-1.mga6
+ Revision: 924034
- update to 0.13

* Mon Jul 06 2015 sander85 <sander85> 0.120.0-1.mga6
+ Revision: 851994
- update to 0.12

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-3.mga5
+ Revision: 749142
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-2.mga5
+ Revision: 686694
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 0.110.0-1.mga5
+ Revision: 615027
- update to 0.11

* Tue Mar 25 2014 jquelin <jquelin> 0.100.0-1.mga5
+ Revision: 608431
- update to 0.10

* Fri Oct 18 2013 umeabot <umeabot> 0.60.0-3.mga4
+ Revision: 515646
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 374350
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 23410
- cleaning spec file
- imported package perl-Time-Duration-Parse


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.60.0-1mdv2011.0
+ Revision: 624829
- import perl-Time-Duration-Parse

